commit 9f77d01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-23

    Update NEWS for v0.9.3
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 02ce85f
Merge: 4389ac9 17a0e27
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-14

    Merge branch 'tg/next__improvements_round#1' into next

commit 17a0e27
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-12

    cc::input: Reduce duplicate code
    
    * Rename `read_from_escaped_uri' function
    * Introduce `determine_input' function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/input.h

commit 34026cb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-09

    cc::input: Do not unescape input URIs
    
    Rationale:
    - This was previously done because quvi-dump(1) escaped the entire URLs
      (incl. the "reserved chars")
    
    - cclive uses Glib::uri_parse_scheme to determine the action it should
      take with the input URL which would fail with the completely escaped
      URIs
    
    - Applications would typically leave the "reserved chars" unescaped,
      e.g. the web browsers
    
    See also:
    - https://tools.ietf.org/html/rfc3986#section-2.2
    - https://en.wikipedia.org/wiki/Percent-encoding
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/input.h

commit 8a60f4e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-09

    cc::log: Rewrite, make header-only
    
    Other notable changes:
    * Relocate cc::log (boost::iostreams::filtering_ostream) to cc::var
    * Remove cc_debug and cc::_debug
    * Add cc::sink namespace
    * Rename sinks
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/application.cpp
src/cc/background.cpp
src/cc/log.cpp
src/cc/log.h
src/cc/var.h

commit 2dbbdf0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-18

    Rename cc::progressbar::mode
    
    * Make it part of cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.h

commit 711dc10
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-04

    cc::file: Rewrite for cc::sig (sigusr1)
    
    Notable changes:
    * Do not setup/handle SIGUSR1, leave all that to cc::sig
    
    Other:
    * SIGUSR1 handler is now set only once, not everytime a transfer begins
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 8236649
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-18

    cc::file: Use updated cc::progressbar
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit c723e66
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-14

    cc::file: Make "exists" a static member function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit fdf4565
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-14

    cc::file::_init: Rewrite/cleanup
    
    Address any remaining inefficiencies, avoid code-duplication and improve
    code readability.
    
    Other notable changes:
    * Remove (BOOST_FILESYSTEM_VERSION >2) if-else -blocks (Boost v1.49+ have v3)
    * Rewrite `output_dir' as `output_fpath' (return output-dir + filename)
    * Add cc::file::store_path
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit 91f9c52
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-11

    cc::file: Remove unused macro definition
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 5431098
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-18

    cc::progressbar: Rewrite, make header-only
    
    * Remove bloat and reorganize
    * Use IEEE-1541 symbols
    * Use cc::sig
    
    Other:
    * SIGWINCH handler is now set only once, not everytime progressbar is created
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/progressbar.cpp
src/cc/progressbar.h

commit 378f9be
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-14

    cc::progressbar: Remove unused code
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/progressbar.cpp

commit 5ecfac5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-18

    cc::fstream: Rename shared_ptr type
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/fstream.h

commit 211924a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-01

    Add cc::var
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/main.cpp
src/cc/var.h
src/ccvar

commit b3dfaf2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-15

    Add cc::sig
    
    This (header-only) implementation is intended to replace the previously
    used handling code for SIG{WINCH,USR1}.
    
    Notable changes:
    * Add cc::sig namespace with terminal related functions
    * Use sigaction(2) instead of signal(2)
    * Add cc::sigwinch <class>
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac
src/Makefile.am
src/cc/application.cpp
src/cc/sig.h
src/ccsig

commit bcc631a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-11

    Move non-critical exceptions from "cc::error"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/error.h
src/cc/file.cpp
src/cc/main.cpp
src/cc/options.h

commit 8faea34
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-11

    Rewrite cc::nothing_todo_error as cc::error::nothing_todo
    
    * Derive from the Boost.Exception (boost::exception)
    * Use the BOOST_THROW_EXCEPTION macro to throw
    * Move to the cc::error namespace
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/error.h
src/cc/file.cpp
src/cc/util.h

commit c2256f4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-11

    Use a vector reference with BOOST_FOREACH
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/exec.cpp

commit a02114c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-11

    Use a string reference with BOOST_FOREACH
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.h

commit c80e398
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-08

    Move cc::fstream::error to cc::error as fstream
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/error.h
src/cc/fstream.h

commit dc132f7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    cc::re: Throw Boost.Exception based exception
    
    Modify cc::re to throw a Boost.Exception (cc::error::tuple) instead of
    the std::runtime_error.
    
    Other:
    * Update cc::options::tr to modify the thrown exception
    * Rename _check_re_error
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.h
src/cc/re.cpp

commit fc7455f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Move cc::options exceptions to cc::error
    
    Other:
    * Add cc::error::config
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/error.h
src/cc/main.cpp
src/cc/options.h

commit 1bf67ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    cc::application: Revise parse_prefer_format
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit cb8922d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    cc::application: Rename vst to vs (std::vector<std::string>)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 4389ac9
Merge: c6591e6 fef8987
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-11-03

    Merge https://github.com/luolimao/cclive into next

commit fef8987
Author: Limao Luo <luolimao@gmail.com>
Date:   2013-11-02

    %e has been renamed to %s

src/cc/options.h

commit c6591e6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-26

    AC_PREREQ: Bump to 2.69
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 15a94c5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-08

    Update NEWS for v0.9.2
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 86978ab
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-08

    Bump the required Boost version to v1.49
    
    Filesystem of Boost v1.42 is outdated and without the much improved v3.
    It's time to move on.
    
    Debian Wheezy packages Boost v1.49 which is why this version was chosen.
    Squeeze packages Boost v1.42.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README
configure.ac

commit 01f93de
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-08

    Use HAVE_WORKING_(V)FORK blocks instead of HAVE_FORK
    
    With some configurations AC_FUNC_FORK would set only HAVE_VFORK causing
    cclive to be compiled (incorrectly) without the --background option.
    
    * Check for HAVE_WORKING_(V)FORK instead of just HAVE_FORK
    * Define 'vfork' as 'fork'
    
    Links:
    [1]: http://is.gd/lPa836 (AC_FUNC_FORK)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/background.cpp
src/cc/internal.h
src/cc/options.h

commit 1a56f54
Merge: ac7250d 1af4d95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Merge branch 'tg/next__redo_input' into next

commit 1af4d95
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    DOC: INPUT: Add a "file://" note
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 6db9fc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Update main for rewritten cc::input
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/main.cpp

commit bfe9c04
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Update cc::applications for rewritten cc::input
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 81303f9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Improve cc::input (complete rewrite)
    
    Instead of testing whether the input URL is a "regular file" and
    throwing (an obscure) "not an URL or a file" warning:
    
      * Check the URL for an URI scheme, append (unless a "file")
    
      * If none was found, try opening it (as a file), and if that fails
        - Throw an error (with a system provided errno-based message)
    
    Other notable changes:
    * More informative error messages
    * New prerequisite for glibmm
    * Make cc::input header-only
    * Add support for "file://"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/input.h

commit bf400e7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Remove cc/input.cpp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/input.cpp

commit f9268c0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    Add cc::fstream
    
    This is a drop-in (header-only) replacement for the STL file streams.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/fstream.h
src/ccfstream

commit 363a69e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    src/Makefile.am: Add glibmm_{CFLAGS,LIBS}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am

commit bdcec97
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    configure.ac: Add PKG_CHECK_MODULES([glibmm])
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 8d00c05
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-07

    README: Add glibmm to Requirements
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit ac7250d
Merge: 50213d7 6eaeeb7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-05

    Merge branch 'tg/next__redo_opts' into next

commit 6eaeeb7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Network: Reorganize options into alphabetical order
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit b9a5c78
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Output: Reorganize options into alphabetical order
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 30afedc
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Informative: Reorganize options into alphabetical order
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 87d9723
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Core: Reorganize options into alphabetical order
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit b28e1f7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Add new option short names
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 1b5b6d1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] --retry-wait: Add a note about value 0
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 6426f8f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] --update-interval: Accepts now integers only
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 2d0b4f6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Move --agent to Network section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 70e9043
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] Move --progressbar, --update-interval to Output section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 83b7050
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-03

    [DOC] --stream: Add missing "config:"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit e43eada
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    main: Use cc::error, catch cc::options::exit_program
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/main.cpp

commit 9cfb2fb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update quvi::query (of compat) for rewritten cc:options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/query.h
src/compat/query_pt4.cpp
src/compat/query_pt9.cpp

commit df0f625
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update util.h for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/util.h

commit e086cde
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc::application for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/application.h

commit 888d42a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc::progressbar for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/progressbar.cpp
src/cc/progressbar.h

commit 551a9b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc::input for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/input.cpp
src/cc/input.h

commit 5864990
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc::get for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/get.cpp

commit 38605f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc::file for rewritten cc::options
    
    Other:
    * Leave CURLOPT_MAX_RECV_SPEED_LARGE for curl_setup
    * Rely cc::options for setting default values (e.g. --tr)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit 3d1b858
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc/exec.cpp for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/exec.cpp

commit 4938205
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Update cc/curl.cpp for rewritten cc::options
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/curl.cpp

commit c0cb7ec
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Add cc::error (cc/error.h)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/error.h
src/ccerror

commit 8c27a3a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    internal.h: Add Boost.PO version check, if(n)_optsw_given macros
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/internal.h

commit 314e722
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-08-02

    Improve cc:options (complete rewrite)
    
    This rewrite addresses some of the inefficiencies of using the
    Boost.Program_Options.
    
    Notable changes:
    
    * Add a workaround for the Boost.PO "error: multiple occurrences" bug
      - Some versions of Boost (confirmed: v1.49) PO do not provide the
        option name with the "multiple occurrences" error.
    
    * cc::options now checks and warns if the option is deprecated
    
    * Improved option grouping which benefits the --help output
    
    * More informative parser error messages that indicate:
      - If the error occurred while parsing the config or cmdline
      - If value (e.g. type) validation failed
    
    * The use of "flags" (added in v0.7.12) was replaced with
      .bool_switch() and .as<bool>()
    
    * A short-option name was added for for-each option
    
    * cc::options is now header-only
    
    Backwards-compatibility breaking changes:
    
    * --update-interval now accepts integers only
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/options.cpp
src/cc/options.h

commit 50213d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-27

    Add --timestamp: Try to preserve modification time (PORT)
    
    Try to preserve the file modification time (as returned by the server,
    if any). Using this option will cause the program to change the
    modification time of the file to that of returned by the server.
    
    NOTE: libcurl will parse this value from the returned "Last-Modified"
          HTTP header. This header may not always be present in which case
          the program will quietly ignore this option.
    
    Ported from maint-0.7:
    * Add --timestamp: Try to preserve modification time (357e4acff)
    * DOC: cclive(1): Document --timestamp (4799c210b)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/cc/file.cpp
src/cc/options.cpp
src/cc/options.h

commit e8a092c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    Update NEWS for v0.9.1
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 7ab7c41
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    FIX: cc/input.cpp: error: "clog" is not a member of "std"
    
    Include iostream to fix this with some configurations.
      (found on Debian Squeeze, gcc 4.4.5, Boost 1.42)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/input.cpp

commit eb19265
Merge: 0019e62 65f8373
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    Merge branch 'tg/next__ext__version_output' into next

commit 65f8373
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    --version: Add CXX and CXXFLAGS to the output
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 50a98b1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    configure.ac: AC_DEFINE_UNQUOTED: CXXFLAGS and CXX
    
    Other:
     * Remove unused AC_DEFINE_UNQUOTED([CANONICAL_HOST])
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 9e6e50e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-16

    --version: Provide additional info about libquvi
    
    When built with libquvi:
      * 0.9: Append {time,target,(cc)flags,...} to the output
      * 0.4: Use QUVI_VERSION_LONG instead of QUVI_VERSION
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/util.cpp

commit 0019e62
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-09

    FIX: configure.ac: AS_IF for date(1)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit f19cfc1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-07-09

    configure.ac: Require a2x when building from git
    
    Copied over from libquvi {6cdebfd, 6612228}.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 2294e93
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-30

    --print-streams: Make output similar to quvi(1) 0.9+
    
    The new output format is cleaner and makes better use of the space.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit ed145f4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-28

    main: catch boost::exception
    
    * Implement a static function `print' that dumps the boost::exception
    * Catch the boost::exception in `main'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/main.cpp

commit f045a69
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-28

    cc::options::parse: throw error with file name
    
    Make a distiction of "command line" and "config file" parsing error.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit ad214c7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    --filename-format: Remove depr. support for %h sequence
    
    libquvi 0.9+ removes the "host ID" media property, remove the support
    for the %h sequence from cclive.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 993a0be
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    Make --stream configurable
    
    Add support for reading the "stream" from the configuration file. The
    deprecated "prefer-format" value will now only be used if "stream" is
    "default".
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp

commit 75b56d7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    DOC: Move --prefer-format under Deprecated section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit f55f70d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    Deprecate --prefer-format in favor of --stream with libquvi 0.9+
    
    Add a notice to suggest using "--stream" instead of "--prefer-format"
    when cclive was built with libquvi 0.9+.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp

commit 6c1f678
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    --version: Print copyr notice to stderr instead of stdout
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 7d94207
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    Rewrite status_callback for libquvi v0.9.2
    
    libquvi v0.9.2 adds "user_data" to the quvi_callback_status. Adapt to
    the changes.
    
    Other:
    * Rename the parameters
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 4ed85b9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-27

    compat: Use quvi_errcode added in libquvi v0.9.2
    
    libquvi v0.9.2 removes the QUVI_INFO_ERROR_CODE and adds the
    quvi_errcode. Use it, instead.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/error_pt9.cpp

commit 3adb977
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-06-07

    FIX: compat: media_impl inherits media_base
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/media.h

commit 61da6e7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-31

    Throw "no input URL" from cc::input
    
    The exception (std::runtime_error) will be caught in the `main' function.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/input.cpp

commit 3d35e5e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-31

    Move --support implementation to print_support
    
    This allows us to initialize libquvi after parsing the input URLs. The
    rationale behind this is that it is pointless to initialize libquvi
    unless we have input.
    
    `--support' on the other hand requires this immediately, therefore
    dedicate the `print_support' function for this purpose.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 6c86374
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-31

    Catch cc::options thrown exception in main
    
    Do not catch the std::exception thrown from `cc::options::parse' in
    `cc::application::exec', catch it in the `main' function instead.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/main.cpp

commit fecf98f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-31

    Rename cc::options::exec to cc::options::parse
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp
src/cc/options.h

commit 4c02ae4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-31

    FIX: Create cc::input instance once
    
    Do not create a cc::input instance more than once.
    
    Other:
    * Set n to input_urls.size only once
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 225f032
Merge: 47b5258 75d1b5c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Merge branch 'tg/next__improve_input_parsing' into next

commit 75d1b5c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    DOC: cclive(1): Revise INPUT section
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit b27e939
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    cc::application: Remove unused functions {read_from,is_url}
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 57184a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    cc::application: Use cc:input
    
    * Remove unused function `make_unique'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit ad1f2e6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Add cc::input -- improve input parsing
    
    The new implementation improves the input parsing:
    * Support reading RFC2483 (making it possible to use with quvi 0.9+)
    * Input URLs are now properly unescaped automagically
    
    The command will read stdin by default. The input is expected to contain
    URLs. The command arguments are expected to be either URLs or file
    paths. If the input is read from either stdin or a file, the contents
    are read as RFC2483.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/input.cpp
src/cc/input.h
src/ccinput

commit 47b5258
Merge: 5ea120c 3ebdc5b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Merge branch 'tg/next__add_prerequisite_glib' into next

commit 3ebdc5b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    README: Add GLib to Requirements
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit b421eb4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Makefile.am: {CPPFLAGS,LDADD}: Add glib
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am

commit 0eb3280
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    configure.ac: Check for glib
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 5ea120c
Merge: 8992391 768b0d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Merge branch 'tg/next__relicense_under_agplv3' into next

commit 768b0d5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    COPYING: Update for AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

COPYING

commit d10c844
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    DOC: cclive(1): Update LICENSE section for AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 15b7a45
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    shell scripts: Update license headers for AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

bootstrap.sh
gen-news.sh
gen-ver.sh

commit 1044c88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    README: Update "License" for AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit 6bdfdc1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    cc: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/application.h
src/cc/background.cpp
src/cc/curl.cpp
src/cc/error.cpp
src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/internal.h
src/cc/log.cpp
src/cc/log.h
src/cc/main.cpp
src/cc/options.cpp
src/cc/options.h
src/cc/progressbar.cpp
src/cc/progressbar.h
src/cc/re.cpp
src/cc/re.h
src/cc/util.h
src/cc/wait.cpp

commit 3f384e5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    compat: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/error.h
src/compat/error_pt4.cpp
src/compat/error_pt9.cpp
src/compat/media.h
src/compat/media_pt4.cpp
src/compat/media_pt9.cpp
src/compat/options.h
src/compat/query.h
src/compat/query_pt4.cpp
src/compat/query_pt9.cpp
src/compat/util.cpp
src/compat/util.h

commit 6643a0c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    ccquvi: Relicense under AGPLv3+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/ccquvi

commit 8992391
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-30

    Remove unused depr_msg
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 64e80a7
Merge: 9dcf432 5314a8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-26

    Merge branch 'tg/next__doc_revise' into next

commit 5314a8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-26

    DOC: --print-streams: Use word "Print" instead of "Query"
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 239d901
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-26

    DOC: EXAMPLES: Add --stream with libquvi 0.9+

doc/man1/cclive.1.txt

commit 7f16389
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-26

    DOC: EXAMPLES: Remove note about quotation marks

doc/man1/cclive.1.txt

commit 401e8c0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-26

    DOC: Revise --stream description
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 9dcf432
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-25

    Update NEWS for v0.9.0
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 8e3aa76
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    cc::application: Remove unused _close function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/application.h

commit 4cc2af0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    status callbacks: Remove all randomness
    
    Decorative. Bloat.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit c470070
Merge: ca5e80f ff2f805
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Merge branch 'tg/next__remove_depr_features' into next

commit ff2f805
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    cc/options.cpp: Remove unused warn_depr function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit 8d2ac37
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Remove depr. --subst
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/cc/file.cpp
src/cc/options.cpp

commit 0392fb0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Remove depr. --regexp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/cc/file.cpp
src/cc/options.cpp

commit e8114a0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Remove depr. --query-formats
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/cc/application.cpp
src/cc/options.cpp
src/cc/options.h

commit e32fc26
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Remove depr. --format
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/cc/application.cpp
src/cc/options.cpp

commit ca5e80f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Add build time to --version output
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac
src/cc/application.cpp

commit 474c143
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    Merge --version and --license options
    
    Add a brief license notice to the --version output.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt
src/Makefile.am
src/cc/application.cpp
src/cc/license.cpp
src/cc/options.cpp
src/cc/options.h

commit 293dbc9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-24

    FIX: Skip transfer with USR1, do not retry transfer
    
    Sending the USR1 signal to the program should cause the program to
    skip the transfer, not retry it.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 3642730
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-23

    Add config.aux/ar-lib to .gitignore
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit e80cdf2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-23

    Workaround: AM_PROG_AR
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 4ed1530
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-23

    README: Revise adding aptitude examples
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit b57e47b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-22

    FIX: Regression in retrying introduced by 4b118378
    
    The commit 4b118378 introduced a case of an "if-statement with an empty
    body", causing the program to attempt retrying with both succeeded and
    failed transfers (when --no-download was not used).  In doing so, the
    program would also completely skip invoking the --exec command with the
    succeeded transfers (when retried).
    
    Affected versions:
      v0.7.12
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/get.cpp

commit 982bbc7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-21

    Update m4/boost.m4 to the latest
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/boost.m4

commit 2d00a4a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-21

    DOC: cclive(1): Uncomment any 0.9+ related text
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit 3edb4b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-05-19

    gen-news.sh: Do not print release author
    
    Trivial information. Release date matters.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 925976d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-16

    gen-news.sh: Do not print commits with >1 one parent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 8232fc2
Merge: 90d8d38 3eda725
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-04-14

    Merge branch 'tg/next/0.7__extend_libquvi_compat_to_0.9' into next

commit 3eda725
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    cc: application.cpp: Revise for libquvi 0.9
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit cf0f430
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    cc: curl_setup: Set CURLOPT_USERAGENT if libquvi 0.4
    
    Set CURLOPT_USERAGENT only if we're compiling cclive with libquvi 0.4.
    
    While it is possible to set CURLOPT_USERAGENT with libquvi 0.9, the
    preferred method is setting QUVI_OPTION_USER_AGENT.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/curl.cpp

commit d26dee7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    cc: application.cpp: Reuse libquvi created curl handle
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit a847638
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    cc::file: _restore: Revise
    
    Restore {progress,write,encoding} options for curl. Setting
    CURLOPT_HEADER to 1L is unneccessary. Remove it. Disable throttling for
    media page fetches.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 6a02958
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    cc: Remove curl_{new,free} functions
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/curl.cpp
src/cc/util.h

commit f534845
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: quvi::options: add useragent
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/options.h

commit f09799d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: setup_curl: return curl handle
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/query.h
src/compat/query_pt4.cpp
src/compat/query_pt9.cpp

commit 234aa3b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: query.h: Add class query_pt9
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/query.h

commit 17e96d2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: media.h: Add class media_pt9
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/media.h

commit 85b01db
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: error.h: Add class error_pt9
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/error.h

commit 3b2d591
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: Add query_pt9.cpp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/query_pt9.cpp

commit 1c3980b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: Add media_pt9.cpp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/media_pt9.cpp

commit 99d60f5
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    compat: Add error_pt9.cpp
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/compat/error_pt9.cpp

commit a41b8c6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    src/Makefile.am: Add HAVE_LIBQUVI_0_9 block
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am

commit d2fa54b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    Update ccquvi header for libquvi 0.9+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/ccquvi

commit 99b47eb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    README: Bump libquvi prereq. to 0.4.0+
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit d2cc174
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    configure.ac: Check for libquvi 0.9+
    
    Drop check for libquvi 0.2.16.x which has been abandoned
    for quite sometime now.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit 90d8d38
Merge: 923878a 0684782
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-26

    Merge branch 'tg/next/0.7__asciidoc.conf' into next

commit 0684782
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-26

    man1: cclive.1.txt: Revise for asciidoc.conf
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit c1dc8ac
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-26

    man1: Makefile.am: Use ASCIIDOC_OPTS with a2x
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/Makefile.am

commit ff426b7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-26

    doc: Add asciidoc.conf
    
    This file adds the linkman macro. See the comment field for the
    instructions. This is a modified version from the pacman (of Arch Linux)
    source tree uses to produce the manpages: this macro does not insert
    <date>.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/Makefile.am
doc/asciidoc.conf

commit 923878a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-23

    FIX: ‘cc::write_data::f’ will be initialized after ...
    
    Fixes the error:
      src/cc/file.cpp:146: error: ‘cc::write_data::f’ will be initialized after
      src/cc/file.cpp:145: error:   ‘std::ofstream* cc::write_data::o’
      src/cc/file.cpp:116: error:   when initialized here
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 239ea61
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add short-option for --verbose-libcurl

doc/man1/cclive.1.txt
src/cc/options.cpp

commit 7d8d0d9
Merge: 8a0f7fe 15b64d6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-07

    Merge branch 'tg/next/0.7__print_config' into next

commit 15b64d6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    default values to switches that should show with --print-config
    
    Add the default values to the switches that should show up
    in the --print-config output.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit cc2a163
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    cclive.1: Add --print-config
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.txt

commit bf22b60
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-03-06

    Add --print-config
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp
src/cc/options.h

commit 8a0f7fe
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-10

    Update news for v0.7.12
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit 6f2e711
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-03

    FIX: Do not ignore I/O errors during file transfer
    
    Confirm that each data chunk was properly written to the file, and
    stop the transfer if an error (e.g. device runs out of space) occurs.
    
    Other:
    * Encapsulate the file stream opening/closing (`write_data' class)
    
    See also:
    * http://bugs.debian.org/699484
    
    Reported-by: Jakub Wilk <jwilk@debian.org>
    Relayed-by: Ansgar Burchardt <ansgar@debian.org>
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit 066b4c2
Merge: adb2531 cf71189
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Merge branch 'tg/next/0.7/__pod_to_asciidoc' into next

commit cf71189
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Remove doc/man1/cclive.1 from .gitignore
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

.gitignore

commit f47073b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    boostrap.sh: Remove gen_manual
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

bootstrap.sh

commit 4fe8056
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Installation from the repo: Add asciidoc prereq
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README

commit c100a94
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    man: Switch from pod to asciidoc
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/Makefile.am
doc/man1/cclive.1.pod
doc/man1/cclive.1.txt

commit b9e212b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Makefile.am: Add "doc" target
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

Makefile.am

commit 878a46f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    configure.ac: Add a2x check
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit adb2531
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Rename autogen.sh -> bootstrap.sh
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

README
autogen.sh
bootstrap.sh

commit c296f59
Merge: dc08e4c 949d476
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Merge branch 'tg/next/0.7__depr_format_related_opts' into next

commit 949d476
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-10

    Deprecate --format, add --stream
    
    libquvi 0.9:
    * will refer to the media streams by their IDs
        (not as "media formats")
    
    As a result of this:
    * Deprecate `--format'
    * Add `--stream'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp

commit 7188199
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-10

    Deprecate --query-formats, add --print-streams
    
    libquvi 0.9:
    * will refer to the media streams by their IDs
        (not as "media formats")
    
    As a result of this:
    * Deprecate `--query-formats'
    * Add `--print-streams'
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/options.cpp
src/cc/options.h

commit dc08e4c
Merge: 7ae4605 4b11837
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-02-02

    Merge branch 'tg/next/0.7__add_quvi_compat_layer' into next

commit 4b11837
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Use quvi compatibility layer
    
    Other notable changes:
    
    * multi-segmented media is no longer supported
        (unused and deprecated, libquvi 0.9 will no longer support
         this, either)
    
    * --filename-format: %h sequence has been removed
        (removed also in libquvi 0.9)
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/background.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/progressbar.cpp
src/cc/progressbar.h
src/cc/util.h
src/cc/wait.cpp

commit cda6cc4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Add quvi compatibility layer
    
    The purpose of this layer is to provide a common interface for
    cclive to work together with both 0.4 and 0.9 release of libquvi.
    cclive may be compiled with either one, not both.
    
    0.9 support remains to be implemented.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/ccquvi
src/compat/error.h
src/compat/error_pt4.cpp
src/compat/media.h
src/compat/media_pt4.cpp
src/compat/options.h
src/compat/query.h
src/compat/query_pt4.cpp
src/compat/util.cpp
src/compat/util.h

commit 231156b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Remove src/quvi/
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/quvi/ccquvi.h
src/quvi/err.cpp
src/quvi/media.cpp
src/quvi/misc.cpp
src/quvi/opts.cpp
src/quvi/query.cpp
src/quvi/url.cpp

commit 7ae4605
Merge: c436150 b14b764
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-13

    Merge branch 'tg/next/0.7__cleanup' into next

commit b14b764
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-12

    options: Add warn_depr
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit a0f2897
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Include ccinternal
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/exec.cpp
src/cc/license.cpp
src/cc/log.cpp
src/cc/main.cpp
src/cc/re.cpp

commit ec969f1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-10

    Add short-option -v
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.pod
src/cc/options.cpp

commit 717a79d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    --help: exit with application::ok
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit 899d45a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-09

    cc/license.cpp: Revise
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/license.cpp

commit ea1ae0e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    configure.ac: Add AC_C_INLINE
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit e0d86ed
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    configure.ac: AC_CHECK_FUNCS: Add memset, setlocale
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

configure.ac

commit eed0806
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Inline cc::options::operator<< function
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp
src/cc/options.h

commit 4a6c089
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Inline cc::log
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/log.cpp
src/cc/log.h

commit 5beb251
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Inline cc::file
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit 8a279a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Add short-option -h
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.pod
src/cc/options.cpp

commit d751efb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Add cc::curl_* functions
    
    Add a set of cc::curl_{new,free,setup} functions.
    
    Do not reuse the libcURL handle from libquvi, create a new one instead.
    Remove quvi::query::curlHandle function, altogether.
    
    Remove CURLOPT_{DNS_CACHE,CONNECT}TIMEOUT from cc::file::_set, they are
    now set in cc::curl_setup.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/Makefile.am
src/cc/application.cpp
src/cc/application.h
src/cc/curl.cpp
src/cc/file.cpp
src/cc/util.h
src/quvi/ccquvi.h
src/quvi/query.cpp

commit 8491607
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    get: Pass libcURL handle instead of quvi::query ref
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/util.h

commit bd240e9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    file: Add _set and _restore
    
    Have these two functions wrap the libcURL options.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp

commit 7786de9
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    get: Move retry increment line
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/get.cpp

commit 0d65568
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    progressbar::update: return int
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/progressbar.cpp
src/cc/progressbar.h

commit 01b4e33
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-08

    Add cc_debug
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/log.cpp
src/cc/log.h

commit 277bf7a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Set locale to LC_ALL
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/main.cpp

commit e41612d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Return application:ok
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp

commit c436150
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Upgrade boost.m4 to the latest
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

m4/boost.m4

commit 1ff4021
Merge: 3c3b208 777d82a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    Merge branch 'tg/next/0.7_config_flags' into next

commit 777d82a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    doc: Revise manual
    
    Move the now configurable 'continue' and 'no-resolve' options under
    the OPTIONS - CONFIGURATION section.  Revise the configuration file
    example.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

doc/man1/cclive.1.pod

commit 4afab3e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    options: Make 'no-resolve' configurable
    
    Allow specifying the value for the 'no-resolve' in
    the configuration file.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit 92bd61f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    options: Make 'continue' configurable
    
    Allow specifying the value for the 'continue' in
    the configuration file.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp

commit a1ae52c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    main.cpp: include stdexcept
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/main.cpp

commit a50702f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    progressbar: Revise to use the global cc::opts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/progressbar.cpp
src/cc/progressbar.h

commit 02b94a1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    get: Revise to use the global cc::opts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/get.cpp

commit 415f47a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    file: Revise to use the global cc::opts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/file.cpp
src/cc/file.h

commit 9971de0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    exec: Revise to use the global cc::opts
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/exec.cpp

commit 29e460c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    util.h: Revise removing variables_map
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/util.h

commit 97c2497
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    application: Revise to use the global cc::opts
    
    Use the flag values instead. Make _tweak_curl_opts and _set_format_string
    functions static functions.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/application.cpp
src/cc/application.h

commit 84c49fd
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2013-01-09

    options: Read cmdline flags into bool variables
    
    Read flags (or switches) into boolean variables instead of using
    boost::program_options::variables_map for storage, making it possible to
    read the same variables from the configuration file with the expected
    results.
    
    For example:
      $ grep < ~/.ccliverc cont
      continue = {1,true,0,false}  # boost::program_options would parse all
                                   # four as "continue=1"
    
    By forcing the use of "zero_tokens" and reading the value into a boolean
    variable, we get the expected results:
      continue = {0,false}  # continue=0
      continue = {1,true}   # continue=1
    
    Other:
      Add cc::opts (an instance of cc::options) as a global variable which
      may be accessed from other modules, making it possible to get away
      without having to write a more complete cc::flags class to be passed
      by reference along with boost::program_options::variables_map.
    
      Inline the cc::options::map function.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

src/cc/options.cpp
src/cc/options.h

commit 3c3b208
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    Update NEWS for v0.7.11
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

NEWS

commit dcc4a72
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-12

    FIX: gen-news.sh: Find the closest tagname
    
    Replaces the buggy tagname extraction with a proper one.
    
    Signed-off-by: Toni Gundogdu <legatvs@gmail.com>

gen-news.sh

commit 39b76b5
Merge: e3e3117 03d69e0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-12-10

    Merge branch 'as/next/0.7_regex_fixes' into next

commit 03d69e0
Author: Adam Sampson <ats@offog.org>
Date:   2012-11-24

    Check .error() for user-provided regexps
    
    Without this, a regexp that PCRE can't compile will be accepted.
    
    (The one that made me spot this was actually a built-in default regexp that
    used \pL, since I was testing with a version of PCRE without \p support; the
    result was that title strings were silently cleared.)

src/cc/re.cpp

commit 5325ecc
Author: Adam Sampson <ats@offog.org>
Date:   2012-11-24

    Copy strings passed to StringPiece
    
    PCRE's StringPiece doesn't copy the string it's given, so you shouldn't mutate
    it afterwards.

src/cc/re.cpp

commit e3e3117
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    Remove examples/ subdir from repo

examples/config

commit d74a486
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    Update NEWS for v0.7.10

NEWS

commit b93d7a7
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-28

    gen-news.sh: Produce stats

gen-news.sh

commit 99bd1b2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-27

    main: Use exit_status, have caught exceptions set exit status

src/cc/main.cpp

commit af6c35e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-25

    Remove scripts/ from the repo

scripts/astyle_cpp.sh

commit 063ee3e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    DOC: Manual: Minor changes

doc/man1/cclive.1.pod

commit fe31766
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    DOC: Manual: Revise description for option sections
    
    Revise the description:
      * Options - command line
      * Options - configuration
    
    Add:
      * Input section

doc/man1/cclive.1.pod

commit da6c39a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    configure.ac: Add AC_PROG_LN_S

configure.ac

commit 4acb634
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    AC_MSG_NOTICE: Revise output

configure.ac

commit def80d8
Merge: 4bec9c3 c34c302
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    Merge branch 'tg/0.7/enable_ccl_by_default' into next

commit c34c302
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    README: configure: Revise option descriptions

README

commit e394f71
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    install-exec-hook: Remove ccl if it exists
    
    Remove ccl symlink if it exists already, and then add a new symlink.

src/Makefile.am

commit 9ecaaf8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    configure.ac: Install ccl symlink by default

configure.ac

commit 4bec9c3
Merge: 1044d88 0f39e93
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    Merge branch 'tg/0.7/modernize_autotools_integration' into next

commit 0f39e93
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    configure.ac: Modernize libtool options

configure.ac

commit e8689b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    Add missing AUTHORS file

AUTHORS

commit 76fd2d0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    configure.ac: Modernize AM_INIT options

configure.ac

commit 59fce53
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    configure.ac: Replace deprecated macros
    
      * AC_CANONICAL_SYSTEM -> AC_CANONICAL_TARGET
      * AC_GNU_SOURCE -> AC_USE_SYSTEM_EXTENSIONS

configure.ac

commit dff9e6e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    Remove INSTALL file from the repo

.gitignore
INSTALL

commit a90c854
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    Append contents of INSTALL file to README file
    
    Leave the INSTALL file for GNU Autotools to produce.

README

commit 1044d88
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-24

    boost.m4: Update to the most recent
    
    src: http://github.com/tsuna/boost.m4/raw/master/build-aux/boost.m4
    ref: https://github.com/tsuna/boost.m4

m4/boost.m4

commit 8b95bd1
Merge: eba5bdd 5e9b65c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    Merge branch 'tg/0.7/revise_autogen.sh' into next

commit eba5bdd
Merge: a3690b0 6690303
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    Merge branch 'tg/0.7/fix_exit_status' into next

commit 5e9b65c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    autogen.sh: Add copyright notice

autogen.sh

commit a3690b0
Merge: e317832 8bc2479
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    Merge branch 'tg/0.7/new_gen-ver.sh' into next

commit 6690303
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    DOC: Rewrite EXIT STATUS section

doc/man1/cclive.1.pod

commit 80dad48
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    autogen.sh: Revise the displayed warning

autogen.sh

commit 8bc2479
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    autogen.sh: gen_manual: Use gen-ver.sh value

autogen.sh

commit 980792e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    Replace "invalid_option" with "error"

src/cc/application.cpp

commit be9d1b0
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    autogen.sh: Run podchecker on manual POD

autogen.sh

commit 4f0d4a8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    configure.ac: Run gen-ver.sh to get version value
    
    Use the gen-ver.sh returned value with AC_INIT. Replace project URLs
    with new ones.

configure.ac

commit 36158a1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    go_background: Return application:error instead

src/cc/background.cpp

commit 99e88a6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    autogen.sh: +x mode

autogen.sh

commit 3f36f24
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    gen-ver.sh: Remove -m option

gen-ver.sh

commit 4d3c506
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    FIX: Return non-zero exit status if failure (#18)
    
    Return a non-zero value if an error occurred.
    
    ref: http://sourceforge.net/apps/trac/cclive/ticket/18

src/cc/application.cpp

commit d1e6bae
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    Remove version.m4

m4/version.m4

commit 20cbf6d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    exit_status: Redefine as ok and error
    
    Report success and failure in broad manner, using application::ok
    (EXIT_SUCCESS) for success and application::error (EXIT_FAILURE)
    for failure.

src/cc/application.h

commit df0a4ce
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-08-23

    gen-ver.sh: Rewrite completely
    
      * Use dirname(1) output
      * Add support for -c and -m options
      * Do not extract version from m4/version.m4

gen-ver.sh

commit e317832
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-04-03

    Lower AC_PREREQ to 2.67

configure.ac

commit ec42b14
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-03

    Update NEWS for 0.7.9

NEWS

commit af62c98
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-03

    Bump version to 0.7.9

m4/version.m4

commit edc7b12
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-03

    Update boost.m4 to the latest version

m4/boost.m4

commit 9101e1a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-03

    Add gen-news.sh (repo only)

gen-news.sh

commit 8172356
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-02

    FIX: Print only HTTP category domains with --support (#17)
    
    cclive handles HTTP stream URLs only. Print only those
    domains that reportedly return HTTP stream URLs to cclive.
    
     * https://sourceforge.net/apps/trac/cclive/ticket/17

src/quvi/query.cpp

commit b089d63
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2012-03-02

    FIX: --support: Strip lua escapes from domain patterns (#16)
    
    To further confusion, strip the lua escape characters ('%')
    from the domain patterns.  Replace any "%w+" with "com".
    
    Other changes:
     Do not print the _deprecated_ format strings anymore,
     as they only hold either "default" or "default|best"
     (libquvi-scripts 0.4.0+, quvi 0.2.16.1+).
    
     * https://sourceforge.net/apps/trac/cclive/ticket/16

src/quvi/misc.cpp

commit b555a5e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-26

    Update news for 0.7.8

NEWS

commit 8e11804
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-26

    Bump version to 0.7.8

m4/version.m4

commit 69e716f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-26

    Revise manual
    
     * Use =head2 tag instead of =item
     * Add DEPRECATED section

doc/man1/cclive.1.pod

commit 9d0cde2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-26

    Revise --query-format, --format descriptions

doc/man1/cclive.1.pod

commit 5095fa8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-22

    Revise --exec in manual
    
     * Make a note of multi occurences being accepted
     * Add %t

doc/man1/cclive.1.pod

commit ef7727f
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-22

    Add %t support to --exec

src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h

commit c98398a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-22

    Allow multiple occurences of --exec

src/cc/exec.cpp
src/cc/options.cpp
src/cc/util.h

commit 5d672a4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Revise --update-interval description in manual

doc/man1/cclive.1.pod

commit 6311dfb
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Revise --exec in manual
    
     * Add example
     * Fix typos

doc/man1/cclive.1.pod

commit 7749585
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Make --exec work with "nothing todo"

src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/util.h

commit 3661079
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Add %n support to --exec

src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h

commit 2fc7514
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Do not quote %f (filepath) with --exec
    
    Example: ccl "URL" --exec "echo %f.mp3"
     Result: foo .mp3
    
    This patch addresses this by removing the 'auto-quotation' of %f.
    Make --exec accept ' in addition to ".
    
     Result: foo.mp3

src/cc/exec.cpp

commit 1beec0c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-11-21

    Eliminate extra std::string

src/cc/exec.cpp

commit 04b0362
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-16

    Do not parse URL scheme unnecessarily
    
    Rewrite is_url so that it does not parse the URL scheme.
    cclive does not have any use for the parsed string.

src/cc/application.cpp

commit 8fcc5d3
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-16

    Bump version to 0.7.7

m4/version.m4

commit a654628
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-16

    Update NEWS for 0.7.7

NEWS

commit a1a9e01
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-08

    BUGFIX #13: -O option evaluated incorrectly
    
    "When an absolute pathname is given as the argument (arg) of the -O
    or --output-file option the output filename considered by cclive is
    incorrect."
    
    Example:
     cd /foo ; cclive -O /bar/baz.flv URL (...)
     error: /foo/bar/baz.flv: No such file or directory
    
    Fix:
     Do not use getcwd(3) at all
    
    WWW:
     <http://sourceforge.net/apps/trac/cclive/ticket/13>

src/cc/file.cpp

commit 76b8932
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-10-08

    Remove getpwd check

configure.ac

commit 5027922
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-26

    Add youtube fmt note

doc/man1/cclive.1.pod

commit 881d2b4
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-23

    Use QUVI_VERSION_SCRIPTS if available

configure.ac
src/cc/application.cpp

commit 8705201
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-23

    Remove config.aux

autogen.sh

commit 286482e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-14

    Do not create doc directory unnecessarily
    
    Move "if WITH_MANUAL" block to the $top_srcdir/Makefile.am. Otherwise
    the doc directory is created even with the --without-manual.

Makefile.am
doc/man1/Makefile.am

commit 77ccfa8
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-12

    Add 0.7.6 release notes

NEWS

commit 47286aa
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-12

    Bump version to 0.7.6

m4/version.m4

commit c5cebe6
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-10

    Rewrite --exec: use execvp(3) instead of system(3)

src/cc/exec.cpp
src/cc/util.h

commit 18b76e1
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-11

    Update boost.m4

m4/boost.m4

commit dee1d8a
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-08

    Revise --query-formats description
    
     * Revise examples

doc/man1/cclive.1.pod

commit 94c650e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-08

    Revise --format description

doc/man1/cclive.1.pod

commit 7951c8c
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-07

    Document --prefer-format

doc/man1/cclive.1.pod

commit 7f85779
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-26

    Add --prefer-format

src/cc/application.cpp
src/cc/application.h
src/cc/options.cpp

commit 930398b
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-07

    Document --tr

doc/man1/cclive.1.pod

commit 53ad8f2
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-06

    Fix: Include iostream

src/cc/options.cpp

commit 7794117
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-04

    Add --tr, depr. --regexp, --subst
    
     * Use pcrecpp::RE::GlobalReplace instead

src/cc/application.cpp
src/cc/exec.cpp
src/cc/file.cpp
src/cc/options.cpp
src/cc/re.cpp
src/cc/re.h

commit 7432825
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-03

    typedef std::vector<std::string> to vst

src/cc/application.cpp
src/cc/options.cpp

commit 305d540
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-03

    Rename re::match -> re::capture

src/cc/file.cpp
src/cc/options.cpp
src/cc/re.cpp
src/cc/re.h

commit 02ad52d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-03

    Add re::grep

src/cc/re.cpp
src/cc/re.h

commit 2c76e36
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-02

    Cleanup Makefile.am files

doc/Makefile.am
doc/man1/Makefile.am
src/Makefile.am

commit 3559d9d
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-02

    Remove scripts/astyle_cpp.sh from dist

Makefile.am

commit 12cd55e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-02

    Integrate gen-ver.sh

Makefile.am
configure.ac
gen-ver.sh
src/cc/application.cpp

commit a39671e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-02

    Tweak ChangeLog generation options

Makefile.am

commit 96d894e
Author: Toni Gundogdu <legatvs@gmail.com>
Date:   2011-09-02

    Cleanup configure.ac

configure.ac

commit 5e163eb
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-29

    manual: improve --format, --query-formats descriptions

doc/man1/cclive.1.pod

commit faed921
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-18

    Set release notes for 0.7.5.1

NEWS

commit f88b0b8
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-17

    Bump version to 0.7.5.1

m4/version.m4

commit e6fd470
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-17

    Lower quvi prerequisite to 0.2.16.1

INSTALL
configure.ac

commit 8ce7780
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-17

    Tweak --enable-ccl note

INSTALL

commit 7470a2c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-13

    Add release notes for 0.7.5

NEWS

commit e5b8c58
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-12

    Use QUVIINFO_RESPONSECODE instead

src/quvi/err.cpp

commit 9df40fb
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-12

    Use QUVI_CALLBACK instead of QUVI_CURL

src/cc/application.cpp

commit d5e31dd
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-09

    Progressbar: simple: Add dash

src/cc/progressbar.cpp

commit e25ae23
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-08-01

    configure: Add --enable-ccl

INSTALL
configure.ac
src/Makefile.am

commit 90e735b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Rename _verify, make _config_file local variable

src/cc/options.cpp
src/cc/options.h

commit f1b191f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Bump version to 0.7.5

m4/version.m4

commit c65c90c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Pass po::variables_map by ref instead of cc::options

src/cc/application.cpp
src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/progressbar.cpp
src/cc/progressbar.h
src/cc/util.h

commit 08bc2f5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Forward declare quvi::query

src/cc/application.h
src/cc/main.cpp

commit 68b04d5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Remove fname param from _normal, _dotline

src/cc/progressbar.cpp
src/cc/progressbar.h

commit c1a6afd
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Make minor style changes

src/cc/file.cpp
src/cc/get.cpp

commit d27f62e
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Fix: Use absolute value (#11)

src/cc/progressbar.cpp

commit a4f3ad6
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Fix _update_interval type

src/cc/progressbar.h

commit 2e37795
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Add po alias

src/cc/application.cpp

commit d656a8b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Manual: Add --progressbar, move --update-interval

doc/man1/cclive.1.pod

commit 75e911a
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Make --progressbar, --update-interval configurable

src/cc/options.cpp

commit 609fce4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    Add --progressbar type, impl. "simple" type

src/cc/options.cpp
src/cc/progressbar.cpp
src/cc/progressbar.h

commit b6984ff
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-31

    cc::log: Set ios::fixed as default

src/cc/application.cpp

commit c0a4b86
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-07-09

    file.cpp: Tidy up

src/cc/file.cpp

commit f3732ed
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-28

    cc/options.cpp: Style changes

src/cc/options.cpp

commit c748ed4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-23

    Set release details for 0.7.4.1

NEWS

commit fae022f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-23

    Lower version to 0.7.4.1

m4/version.m4

commit 150f32e
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-19

    Cleanup src/quvi/

src/quvi/ccquvi.h
src/quvi/err.cpp
src/quvi/media.cpp
src/quvi/misc.cpp
src/quvi/opts.cpp
src/quvi/query.cpp
src/quvi/url.cpp

commit 73b0276
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-19

    Bump version to 0.7.5

m4/version.m4

commit e45ab84
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-19

    Restructure src/
    
    * Merge several simple headers into util.h
    * Rename namespaces, files

configure.ac
src/Makefile.am
src/cc/application.cpp
src/cc/application.h
src/cc/background.cpp
src/cc/error.cpp
src/cc/exec.cpp
src/cc/file.cpp
src/cc/file.h
src/cc/get.cpp
src/cc/internal.h
src/cc/license.cpp
src/cc/log.cpp
src/cc/log.h
src/cc/main.cpp
src/cc/options.cpp
src/cc/options.h
src/cc/progressbar.cpp
src/cc/progressbar.h
src/cc/re.cpp
src/cc/re.h
src/cc/util.h
src/cc/wait.cpp
src/ccapplication
src/ccfile
src/ccinternal
src/cclive/application.cpp
src/cclive/application.h
src/cclive/background.cpp
src/cclive/background.h
src/cclive/error.cpp
src/cclive/error.h
src/cclive/exec.cpp
src/cclive/exec.h
src/cclive/file.cpp
src/cclive/file.h
src/cclive/get.cpp
src/cclive/get.h
src/cclive/internal.h
src/cclive/license.cpp
src/cclive/log.cpp
src/cclive/log.h
src/cclive/main.cpp
src/cclive/options.cpp
src/cclive/options.h
src/cclive/progressbar.cpp
src/cclive/progressbar.h
src/cclive/re.cpp
src/cclive/re.h
src/cclive/wait.cpp
src/cclive/wait.h
src/cclog
src/ccoptions
src/ccprogressbar
src/ccquvi
src/ccre
src/ccutil
src/quvi/ccquvi.h
src/quvi/err.cpp
src/quvi/media.cpp
src/quvi/misc.cpp
src/quvi/opts.cpp
src/quvi/query.cpp
src/quvi/url.cpp
src/quvicpp/err.cpp
src/quvicpp/media.cpp
src/quvicpp/misc.cpp
src/quvicpp/opts.cpp
src/quvicpp/query.cpp
src/quvicpp/quvicpp.h
src/quvicpp/url.cpp

commit 0785790
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-19

    Make minor style changes to src

src/cclive/application.cpp
src/cclive/application.h
src/cclive/background.cpp
src/cclive/background.h
src/cclive/error.cpp
src/cclive/error.h
src/cclive/exec.cpp
src/cclive/exec.h
src/cclive/file.cpp
src/cclive/file.h
src/cclive/get.cpp
src/cclive/get.h
src/cclive/license.cpp
src/cclive/log.cpp
src/cclive/log.h
src/cclive/main.cpp
src/cclive/options.cpp
src/cclive/options.h
src/cclive/progressbar.cpp
src/cclive/progressbar.h
src/cclive/re.cpp
src/cclive/re.h
src/cclive/wait.cpp
src/cclive/wait.h
src/quvicpp/err.cpp
src/quvicpp/media.cpp
src/quvicpp/misc.cpp
src/quvicpp/opts.cpp
src/quvicpp/query.cpp
src/quvicpp/quvicpp.h
src/quvicpp/url.cpp

commit 64df451
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-18

    Set release details for 0.7.4

NEWS

commit e8ca138
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-08

    Rename --with-man -> --with-manual

configure.ac
doc/man1/Makefile.am

commit deb4cee
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-08

    Revise INSTALL

INSTALL

commit 9df14b7
Merge: 75a3029 79ffd75
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-07

    Merge branch 'revert_autotools'

commit 79ffd75
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    src/Makefile.am: Reorganize flags

src/Makefile.am

commit 99ea2c2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    src/Makefile.am: Remove BOOST_THREAD_*

src/Makefile.am

commit 8510475
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Remove AC_PROG_RANLIB altogether

configure.ac

commit c7fd3ce
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Revise manual
    
    * Remove --no-shortened
    * Add --query-formats

doc/man1/cclive.1.pod

commit 914193d
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    README: Add Home, gitweb

README

commit a3e922e
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Tweak help strings

src/cclive/options.cpp

commit c6a03be
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    file.cpp: Improve readability

src/cclive/file.cpp

commit cebd4a5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    license.cpp: Add 2011

src/cclive/license.cpp

commit 380cc1f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Add depr. msg to -f help,list

src/cclive/application.cpp

commit ffcc1d5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    configure.ac: Comment out AC_PROG_RANLIB

configure.ac

commit e3eca2f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    configure.ac: Add program checks, remove func checks

configure.ac

commit 1729f80
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Add --query-formats, add QUVISTATUS_RESOLVE handler

src/cclive/application.cpp
src/cclive/options.cpp

commit 6dbbbd1
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Add query::formats. Change style

src/quvicpp/query.cpp
src/quvicpp/quvicpp.h

commit cf5c0f2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    application.cpp: Style changes

src/cclive/application.cpp

commit 874cf99
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Rewrite example/config

examples/config

commit 2643bfc
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Remove CMakeLists.txt

CMakeLists.txt

commit 0199feb
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-06

    Rewrite INSTALL

INSTALL

commit 40842fc
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Change gitlog date

Makefile.am

commit 21cfef2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Restore hidden options

src/cclive/options.cpp

commit c9e783c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Makefile.am: Add dist:ChangeLog, EXTRA_DIST=astyle_cpp.sh

Makefile.am

commit 20d6fa2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Fix autogen.sh

autogen.sh

commit a6c7b3f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove scripts/makedist.sh

scripts/makedist.sh

commit 48062a8
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove remaining CMake related files

ChangeLog
config.h.cmake.in
toolchains/mingw32.cmake
uninstall.cmake.in

commit bf3fccf
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Update .gitignore

.gitignore

commit 4f3cd9d
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove cclive.1 from repo

doc/man1/cclive.1

commit b9e07e0
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Add autogen.sh

autogen.sh

commit e076f19
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Update .gitignore

.gitignore

commit f958974
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Add autotools files

Makefile.am
configure.ac
doc/Makefile.am
doc/man1/Makefile.am
m4/boost.m4
m4/version.m4
src/Makefile.am

commit 7bdf6b8
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove doc/man1/CMakeLists.txt

doc/man1/CMakeLists.txt

commit e61982b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove doc/CMakeLists.txt

doc/CMakeLists.txt

commit 24e87bf
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    cclive: Remove quvi feature specific ifdef-blocks
    
    Add internal.h which checks boost version and sets
    BOOST_FILESYSTEM_VERSION. Remove deprecated --no-shortened.

src/cclive/application.cpp
src/cclive/background.cpp
src/cclive/error.cpp
src/cclive/file.cpp
src/cclive/internal.h
src/cclive/options.cpp
src/cclive/progressbar.cpp
src/cclive/wait.cpp

commit 6c2d750
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    quvicpp: Remove quvi feature specific ifdef-blocks
    
    * Rename error.cpp -> error.cpp
    * Rename options.cpp -> opts.cpp

src/quvicpp/err.cpp
src/quvicpp/error.cpp
src/quvicpp/media.cpp
src/quvicpp/options.cpp
src/quvicpp/opts.cpp
src/quvicpp/query.cpp
src/quvicpp/quvicpp.h
src/quvicpp/url.cpp

commit 18005f7
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Move include/quvicpp/*.h -> src/quvicpp/

include/quvicpp/quvicpp.h
src/quvicpp/quvicpp.h

commit 5cb61db
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove src/CMakeLists.txt

src/CMakeLists.txt

commit 453919b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Move include/cclive/*.h -> src/cclive/

include/cclive/application.h
include/cclive/background.h
include/cclive/error.h
include/cclive/exec.h
include/cclive/file.h
include/cclive/get.h
include/cclive/log.h
include/cclive/options.h
include/cclive/progressbar.h
include/cclive/re.h
include/cclive/wait.h
src/cclive/application.h
src/cclive/background.h
src/cclive/error.h
src/cclive/exec.h
src/cclive/file.h
src/cclive/get.h
src/cclive/log.h
src/cclive/options.h
src/cclive/progressbar.h
src/cclive/re.h
src/cclive/wait.h

commit 7d67fdc
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Move src/*.cpp -> src/cclive/

src/application.cpp
src/background.cpp
src/cclive/application.cpp
src/cclive/background.cpp
src/cclive/error.cpp
src/cclive/exec.cpp
src/cclive/file.cpp
src/cclive/get.cpp
src/cclive/license.cpp
src/cclive/log.cpp
src/cclive/main.cpp
src/cclive/options.cpp
src/cclive/progressbar.cpp
src/cclive/re.cpp
src/cclive/wait.cpp
src/error.cpp
src/exec.cpp
src/file.cpp
src/get.cpp
src/license.cpp
src/log.cpp
src/main.cpp
src/options.cpp
src/progressbar.cpp
src/re.cpp
src/wait.cpp

commit 75a3029
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Move man1/ -> doc/man1/

CMakeLists.txt
doc/CMakeLists.txt
doc/man1/CMakeLists.txt
doc/man1/cclive.1
doc/man1/cclive.1.pod
man1/CMakeLists.txt
man1/cclive.1
man1/cclive.1.pod

commit 086cda5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    CMakeLists.txt: Remove pod2man check

CMakeLists.txt

commit efdd00b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Remove QUVIOPT_WRITEFUNCTION from quvicpp

include/quvicpp/quvicpp.h
src/quvicpp/options.cpp
src/quvicpp/query.cpp

commit c67c718
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-06-05

    Update .gitignore

.gitignore

commit 90c2b40
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-23

    Update README

README

commit 338ee7d
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-22

    Cleanup manual

man1/cclive.1
man1/cclive.1.pod

commit a9998a1
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-21

    README: Fix git URL

README

commit e4076e1
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-04

    Bump version to 0.7.4

CMakeLists.txt
man1/cclive.1

commit a5b7bbf
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-04

    Manual: Add --no-resolve

man1/cclive.1
man1/cclive.1.pod

commit 5460dcb
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-04

    Manual: Remove whitespace

man1/cclive.1
man1/cclive.1.pod

commit 9490793
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-03

    Manual: Replace URLs with generic URL strings

man1/cclive.1
man1/cclive.1.pod

commit 63a276c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-01

    Warn if depr. --no-shortened is used
    
    If quvi 0.2.16+, warn when user uses the deprecated
    --no-shortened option.

CMakeLists.txt
src/application.cpp
src/options.cpp

commit c3bd67e
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-01

    Manual: Add reading from file note

man1/cclive.1
man1/cclive.1.pod

commit 12ec449
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-01

    Add support for reading from files

include/cclive/application.h
src/application.cpp

commit d883ced
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-05-01

    Bump version to 0.7.3.2

CMakeLists.txt

commit c28590c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-04-30

    Use getcwd without PATH_MAX

src/file.cpp

commit 970e2bf
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-04-17

    Add quvi 0.2.16 QUVIOPT_NORESOLVE check
    
    * Add -r,--no-resolve which replaces -s,--no-shortened
    * Replaces the QUVIOPT_NOSHORTENED

CMakeLists.txt
config.h.cmake.in
include/quvicpp/quvicpp.h
src/application.cpp
src/options.cpp
src/quvicpp/options.cpp
src/quvicpp/query.cpp

commit dd53311
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-23

    Add quvi 0.2.15 "media interface" check
    
    * Use "media interface" instead of the deprecating "video interface"
    * quvicpp::video -> quvicpp::media
    * quvicpp::link -> quvicpp::url

CMakeLists.txt
config.h.cmake.in
include/cclive/exec.h
include/cclive/file.h
include/cclive/get.h
include/cclive/progressbar.h
include/quvicpp/quvicpp.h
src/CMakeLists.txt
src/application.cpp
src/exec.cpp
src/file.cpp
src/get.cpp
src/progressbar.cpp
src/quvicpp/link.cpp
src/quvicpp/media.cpp
src/quvicpp/query.cpp
src/quvicpp/url.cpp
src/quvicpp/video.cpp

commit 132268b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-15

    Set release details for 0.7.3.1

NEWS

commit f9ca5dd
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-15

    Lower version to 0.7.3.1

CMakeLists.txt

commit 9e26929
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-15

    Move src/cclive/* to src/ (#7)
    
    A subdirectory and a target used the 'cclive' for name. This caused
    a configuration error when the project was built "in-source".
    
    * http://sourceforge.net/apps/trac/cclive/ticket/7

src/CMakeLists.txt
src/application.cpp
src/background.cpp
src/cclive/application.cpp
src/cclive/background.cpp
src/cclive/error.cpp
src/cclive/exec.cpp
src/cclive/file.cpp
src/cclive/get.cpp
src/cclive/license.cpp
src/cclive/log.cpp
src/cclive/main.cpp
src/cclive/options.cpp
src/cclive/progressbar.cpp
src/cclive/re.cpp
src/cclive/wait.cpp
src/error.cpp
src/exec.cpp
src/file.cpp
src/get.cpp
src/license.cpp
src/log.cpp
src/main.cpp
src/options.cpp
src/progressbar.cpp
src/re.cpp
src/wait.cpp

commit ee78ce0
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-15

    CMakeLists.txt: Add CMAKE_VERSION to summary

CMakeLists.txt

commit 4a9857c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-12

    Bump version to 0.7.4

CMakeLists.txt

commit b1d8a68
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-12

    Set release details for 0.7.3

NEWS

commit c82db79
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-12

    Regenerate manual for 0.7.3

man1/cclive.1

commit 77e8214
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-06

    Fix compilation with Boost::Filesystem v3 (#6)
    
    Version 3 is the new default in boost::filesystem (as of 1.46.0).
    This breaks the code written for boost::filesystem version 2.
    
    * Define BOOST_FILESYSTEM_NO_DEPRECATED
    * Define BOOST_FILESYSTEM_VERSION as 3 (boost 1.44.0+)
    * boost::filesystem::initial_path (depr.) -> *::*::current_path
    * http://sourceforge.net/apps/trac/cclive/ticket/6

CMakeLists.txt
config.h.cmake.in
src/cclive/file.cpp
src/cclive/options.cpp
src/cclive/progressbar.cpp

commit b8dc4f9
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-03-06

    options.cpp: Remove extra newlines

src/cclive/options.cpp

commit 6d581d5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-18

    Add HAVE_QUVIOPT_CATEGORY check
    
    Set QUVIPROTO_HTTP should libquvi default value ever change.

CMakeLists.txt
config.h.cmake.in
src/quvicpp/query.cpp

commit 3a867d7
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-17

    Do not build quvicpp as a (static) library
    
    quvicpp was originally intended to be a "convenience library". CMake
    does not currently support such libraries. quvicpp was therefore built
    as a static library instead. This, however, creates packaging issues
    with some of the current distros that pose strict security rules.
    
    List quvicpp source files in the "cclive" target instead. Reshuffle dir
    structure.
    
    [1] http://www.vtk.org/Wiki/CMake_FAQ#Does_CMake_support_.22convenience.22_libraries.3F
    [x] http://www.gnu.org/software/hello/manual/automake/Libtool-Convenience-Libraries.html

CMakeLists.txt
cclive/CMakeLists.txt
cclive/include/cclive/application.h
cclive/include/cclive/background.h
cclive/include/cclive/error.h
cclive/include/cclive/exec.h
cclive/include/cclive/file.h
cclive/include/cclive/get.h
cclive/include/cclive/log.h
cclive/include/cclive/options.h
cclive/include/cclive/progressbar.h
cclive/include/cclive/re.h
cclive/include/cclive/wait.h
cclive/src/application.cpp
cclive/src/background.cpp
cclive/src/error.cpp
cclive/src/exec.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/license.cpp
cclive/src/log.cpp
cclive/src/main.cpp
cclive/src/options.cpp
cclive/src/progressbar.cpp
cclive/src/re.cpp
cclive/src/wait.cpp
include/cclive/application.h
include/cclive/background.h
include/cclive/error.h
include/cclive/exec.h
include/cclive/file.h
include/cclive/get.h
include/cclive/log.h
include/cclive/options.h
include/cclive/progressbar.h
include/cclive/re.h
include/cclive/wait.h
include/quvicpp/quvicpp.h
lib/CMakeLists.txt
lib/quvicpp/CMakeLists.txt
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp
lib/quvicpp/src/link.cpp
lib/quvicpp/src/misc.cpp
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
lib/quvicpp/src/video.cpp
src/CMakeLists.txt
src/cclive/application.cpp
src/cclive/background.cpp
src/cclive/error.cpp
src/cclive/exec.cpp
src/cclive/file.cpp
src/cclive/get.cpp
src/cclive/license.cpp
src/cclive/log.cpp
src/cclive/main.cpp
src/cclive/options.cpp
src/cclive/progressbar.cpp
src/cclive/re.cpp
src/cclive/wait.cpp
src/quvicpp/error.cpp
src/quvicpp/link.cpp
src/quvicpp/misc.cpp
src/quvicpp/options.cpp
src/quvicpp/query.cpp
src/quvicpp/video.cpp

commit d10c2eb
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-17

    Progressbar: Add inactive flag

cclive/src/progressbar.cpp

commit f077b2b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-07

    Bump version to 0.7.3

CMakeLists.txt

commit 0eb2222
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-07

    Set release details for 0.7.2

NEWS

commit 947dd4f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-05

    Append additional newline to -f list
    
    * Append newline to printed entries
    * foreach: Put print_host inside curly brackets

cclive/src/application.cpp

commit e90b656
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-03

    Tidy up manual, grammar, etc.

man1/cclive.1
man1/cclive.1.pod

commit c380469
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-03

    Use custom message with SIGUSR1 instead of default
    
    Report cURL generated "operation aborted by callback" as
    "sigusr1 raised" to the user.

cclive/src/file.cpp

commit 319f228
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-02

    Replace "normal" progressbar with meter
    
    * Do not render filename in the progressbar
    * Make "normal" progressbar print a "meter"

cclive/include/cclive/progressbar.h
cclive/src/get.cpp
cclive/src/progressbar.cpp

commit ba5210c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-02-01

    Do not set SIGWINCH again in the handler

cclive/src/progressbar.cpp

commit 274e63f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-31

    Fix normal progressbar min-max rendering
    
    * Do not apply whitespace over previously rendered line
    * Use whole line; remove arcane "width-1"
    * Skip rendering if width drops too low

cclive/include/cclive/progressbar.h
cclive/src/progressbar.cpp

commit a84f0ca
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-24

    --format help: Use mp4_360p instead

cclive/src/application.cpp

commit b380ab7
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-16

    CMakeLists.txt: Re-arrange summary items

CMakeLists.txt

commit 7c95800
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-14

    Manual: Add SIGUSR1 example

man1/cclive.1
man1/cclive.1.pod

commit aec87d4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-14

    Add SIGUSR1 handler
    
    * Interrupt current transfer if SIGUSR1 is raised
    * e.g. kill -USR1 $pid

cclive/src/file.cpp

commit 3a9f738
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-14

    Add signal function check

CMakeLists.txt
config.h.cmake.in

commit 952cd21
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-11

    Add email to copyright lines

cclive/include/cclive/application.h
cclive/include/cclive/background.h
cclive/include/cclive/error.h
cclive/include/cclive/exec.h
cclive/include/cclive/file.h
cclive/include/cclive/get.h
cclive/include/cclive/log.h
cclive/include/cclive/options.h
cclive/include/cclive/progressbar.h
cclive/include/cclive/re.h
cclive/include/cclive/wait.h
cclive/src/application.cpp
cclive/src/background.cpp
cclive/src/error.cpp
cclive/src/exec.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/license.cpp
cclive/src/log.cpp
cclive/src/main.cpp
cclive/src/options.cpp
cclive/src/progressbar.cpp
cclive/src/re.cpp
cclive/src/wait.cpp
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp
lib/quvicpp/src/link.cpp
lib/quvicpp/src/misc.cpp
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
lib/quvicpp/src/video.cpp

commit 4a5d6e8
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-10

    Apply style changes with astyle
    
    * Add scripts/astyle_cpp.sh
    * Tweak vim modelines

cclive/include/cclive/application.h
cclive/include/cclive/background.h
cclive/include/cclive/error.h
cclive/include/cclive/exec.h
cclive/include/cclive/file.h
cclive/include/cclive/get.h
cclive/include/cclive/log.h
cclive/include/cclive/options.h
cclive/include/cclive/progressbar.h
cclive/include/cclive/re.h
cclive/include/cclive/wait.h
cclive/src/application.cpp
cclive/src/background.cpp
cclive/src/error.cpp
cclive/src/exec.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/license.cpp
cclive/src/log.cpp
cclive/src/main.cpp
cclive/src/options.cpp
cclive/src/progressbar.cpp
cclive/src/re.cpp
cclive/src/wait.cpp
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp
lib/quvicpp/src/link.cpp
lib/quvicpp/src/misc.cpp
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
lib/quvicpp/src/video.cpp
scripts/astyle_cpp.sh

commit caa50e0
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-07

    Add gitignore file

.gitignore

commit fa36a5d
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-07

    Bump version to 0.7.2

CMakeLists.txt

commit 24f66fe
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-07

    Set release details for 0.7.1

NEWS

commit c314245
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    makedist.sh: Add a warning

scripts/makedist.sh

commit cf560b9
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    Manual: Add -b example

man1/cclive.1
man1/cclive.1.pod

commit decf7d4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    Add vim modelines to source code

cclive/include/cclive/application.h
cclive/include/cclive/background.h
cclive/include/cclive/error.h
cclive/include/cclive/exec.h
cclive/include/cclive/file.h
cclive/include/cclive/get.h
cclive/include/cclive/log.h
cclive/include/cclive/options.h
cclive/include/cclive/progressbar.h
cclive/include/cclive/re.h
cclive/include/cclive/wait.h
cclive/src/application.cpp
cclive/src/background.cpp
cclive/src/error.cpp
cclive/src/exec.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/license.cpp
cclive/src/log.cpp
cclive/src/main.cpp
cclive/src/options.cpp
cclive/src/progressbar.cpp
cclive/src/re.cpp
cclive/src/wait.cpp
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp
lib/quvicpp/src/link.cpp
lib/quvicpp/src/misc.cpp
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
lib/quvicpp/src/video.cpp

commit 5de72f3
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    background.cpp: Rewrite go_background
    
    * Remove chdir
    * Close unneeded file streams
    * Move cclive::log.push and omit=true

cclive/src/background.cpp

commit 8be6ff2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    options.cpp: Put background inside HAVE_FORK block

cclive/src/options.cpp

commit a7bba79
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    Print pid to log file when running in background
    
    - Add pid to log file print out
    - Put "background" inside HAVE_FORK block

cclive/src/application.cpp

commit 23d9381
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-05

    Add getpid check

CMakeLists.txt
config.h.cmake.in

commit 55c2309
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2011-01-03

    Fix wrong full path for downloaded file [#5]
    
    * http://sourceforge.net/apps/trac/cclive/ticket/5

cclive/src/file.cpp

commit 446d9dc
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-29

    Lower pcre/pcrecpp prerequisite to 8.02

CMakeLists.txt
INSTALL

commit b4ad37b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-28

    Fix dot progressbar to print 100%

cclive/src/progressbar.cpp

commit dd01077
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-28

    Print exceptions caught in main.cpp to std::clog
    
    Print the exceptions caught in main.cpp to std::clog exlusively.
    The --quiet switch will not have control over these. See also 5c04ea4.

cclive/src/application.cpp
cclive/src/main.cpp

commit 935b292
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-28

    Always print options parser errors to std::clog

cclive/src/application.cpp

commit 61b1981
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-28

    Use capital letters in first words of help strings

cclive/src/options.cpp

commit 8e861e0
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-28

    Add --no-shortened
    
    Wrap QUVIOPT_NOSHORTENED which was added in quvi 0.2.8. Make this
    conditional, e.g. check that quvi 0.2.8 or later is found. Make
    package checks also less verbose and move the "Found" section.

CMakeLists.txt
cclive/src/application.cpp
cclive/src/options.cpp
config.h.cmake.in
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
man1/cclive.1
man1/cclive.1.pod

commit 5c04ea4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-27

    Make --quiet exclusive

cclive/src/application.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/main.cpp
cclive/src/wait.cpp
man1/cclive.1
man1/cclive.1.pod

commit 8e611a3
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-27

    Bump version to 0.7.1

CMakeLists.txt

commit 564348f
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-19

    Remove CPack and "dist" target

CMakeLists.txt

commit 806f00e
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-19

    Add makedist.sh

scripts/makedist.sh

commit 54a3729
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-18

    Add stub ChangeLog

ChangeLog

commit c8c2770
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-18

    CMakeLists.txt: Set BRANCH to "master"

CMakeLists.txt

commit c200b93
Merge: c2622e2 2cefa2b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-18

    Merge branch '0.7.0'
    
    Conflicts:
    	aclocal.m4
    	cclive.1
    	cclive.pod
    	configure
    	configure.ac

commit 2cefa2b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-18

    file.cpp: include unistd.h

cclive/src/file.cpp

commit 28e9ea6
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-18

    Set release details for 0.7.0.1

NEWS

commit 1402c93
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-17

    Add --output-dir to manual

man1/cclive.1
man1/cclive.1.pod

commit 211e7c2
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-17

    Add --output-dir [#1]
    
    - http://sourceforge.net/apps/trac/cclive/ticket/1

cclive/src/file.cpp
cclive/src/options.cpp

commit 62e47c5
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-11

    Tweak project description

README
man1/cclive.1
man1/cclive.1.pod

commit 8b58600
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-10

    Set new home WWW
    
    New home URL, remove esoteric topics from the manual.

README
man1/cclive.1
man1/cclive.1.pod

commit 4001eb1
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-10

    Change format ID used in one of the examples

man1/cclive.1
man1/cclive.1.pod

commit 6169c18
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    Bump version to 0.7.0.1

CMakeLists.txt

commit a512fa4
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    Fix CMAKE_VERBOSE_MAKEFILE

CMakeLists.txt
NEWS

commit 266ef63
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    Set 0.7.0rc2 release date

NEWS

commit dd84c3b
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    Add custom target "dist"

CMakeLists.txt

commit 6d99964
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    Rename ChangeLog to ChangeLog.pre-gitlog

ChangeLog
ChangeLog.pre-gitlog

commit b97d42c
Author: Toni Gundogdu <legatvs.git@gmail.com>
Date:   2010-12-04

    NEWS: Move 0.7.0 changes from ChangeLog

ChangeLog
NEWS

commit 43a072b
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-30

    lower boost prerequisite to 1.42.0

CMakeLists.txt
ChangeLog
INSTALL

commit aff1c12
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-28

    ChangeLog: add 590af25, 47d066c

ChangeLog

commit fa8ba4f
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-28

    add -f help,list

ChangeLog
cclive/include/cclive/application.h
cclive/src/application.cpp
man1/cclive.1
man1/cclive.1.pod

commit d1f3756
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-27

    CMakeLists.txt: status: put in groups

CMakeLists.txt

commit 8d17afc
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-26

    CMakeLists.txt: status: make less verbose

CMakeLists.txt

commit 47d066c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-26

    gzip manual page before installing it

CMakeLists.txt
man1/CMakeLists.txt

commit 0d2154c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-26

    cpack_generator: tbz2 -> tgz

CMakeLists.txt

commit 590af25
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-26

    fix cclive.1 destination dir

man1/CMakeLists.txt

commit c07c411
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-20

    bump version

CMakeLists.txt

commit 2698b62
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-20

    set release date

ChangeLog

commit e4d14c4
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-18

    manual: tweak --proxy, --no-proxy descriptions

man1/cclive.1
man1/cclive.1.pod

commit c78a795
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-10

    cpack: ignore files: tweak .git pattern

CMakeLists.txt

commit f32a54b
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-05

    bump version

CMakeLists.txt

commit df7946a
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-04

    rewrite to_unit

cclive/src/progressbar.cpp

commit 24384b3
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-11-03

    set release date

ChangeLog

commit e4e509f
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-30

    shorten descr

README
man1/cclive.1
man1/cclive.1.pod

commit 0d3e32a
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-29

    descr: add flash in the mix

README
man1/cclive.1
man1/cclive.1.pod

commit 0f29512
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-29

    README: merge premise, rewrite

README

commit 03fa777
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-29

    README: fix grammar

README

commit d6e9ca1
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-29

    README: add premise

README

commit 531d876
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-25

    NEWS, update 0.7 details

NEWS

commit a3312e4
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-25

    remove -r

cclive/src/options.cpp
man1/cclive.1
man1/cclive.1.pod

commit 063ca0c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-23

    update ChangeLog

ChangeLog

commit b86e736
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-23

    add --regexp check

cclive/src/options.cpp

commit 34ed311
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-23

    progressbar, improve line clearing

cclive/src/progressbar.cpp

commit fc471da
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-23

    change example URLs

man1/cclive.1
man1/cclive.1.pod

commit 55b5586
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-22

    use cleaner size initialization

cclive/src/progressbar.cpp

commit 7de9c1f
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-21

    add fix progressbar to ChangeLog

ChangeLog

commit 9837f56
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-21

    fix progressbar resizing anomalies

cclive/include/cclive/progressbar.h
cclive/src/progressbar.cpp

commit dddc127
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-19

    make newline obligatory if an error occurs.

cclive/src/file.cpp

commit ae8f760
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-19

    move std::stringstream

cclive/src/progressbar.cpp

commit 5cb89b3
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-19

    tweak additional support notes in manual

man1/cclive.1
man1/cclive.1.pod

commit e99bda2
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-17

    add man cleanup to ChangeLog.

ChangeLog

commit df9d313
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-17

    bump version.

CMakeLists.txt

commit 7854a49
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-17

    tweak help strings.

cclive/src/options.cpp

commit 6703d32
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-17

    clean up manual page.

man1/cclive.1
man1/cclive.1.pod

commit 512d2ed
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-15

    set release date.

ChangeLog

commit c2622e2
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-07

    bump autoconf prereq to 2.68.

ChangeLog
aclocal.m4
configure
configure.ac

commit 4f93847
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-07

    use better grammar.

cclive/src/file.cpp

commit 2a2eaee
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-07

    change descr in readme, rely on wiki for patch etc

README

commit 071c060
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-07

    change "nothing todo" to more understandable error.

cclive/src/file.cpp

commit 9e416c6
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-04

    improve multi-url example in manual.

man1/cclive.1
man1/cclive.1.pod

commit 043f05e
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-04

    add print help,version,... to cout to ChangeLog.

ChangeLog

commit 629e72a
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-04

    bump version.

CMakeLists.txt

commit cb7263d
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-10-03

    print help,version,license,support to cout.

cclive/src/application.cpp

commit fadd890
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-30

    set release date.

ChangeLog

commit 752ed9e
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-24

    add fix documentation for --retry=0.

ChangeLog

commit b31a345
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-24

    fix documentation for --retry=0.

cclive.1
cclive.pod

commit 03fa7bf
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-24

    add --max-retries=0 to manual.

man1/cclive.1
man1/cclive.1.pod

commit 0766ec3
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-22

    add tracker changes to ChangeLog.

ChangeLog

commit 68041c4
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-22

    update patch tracker info in README.

README

commit 2c3716b
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-22

    update bug tracker info in manual.

man1/cclive.1
man1/cclive.1.pod

commit 5de2550
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-21

    add use git describe to changelog.

ChangeLog

commit 555e832
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-21

    use "git describe" for version instead.

CMakeLists.txt

commit 4271518
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-13

    cleanup LICENSE in license.cpp.

cclive/src/license.cpp

commit 900fb57
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    change --quiet description in manual.

man1/cclive.1
man1/cclive.1.pod

commit 3158d16
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    change --quiet helpstring.

cclive/src/options.cpp

commit fc69a90
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    add dots to print_checking message.

cclive/src/application.cpp

commit 17b57ae
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    add std::flush to print_checking.

cclive/src/application.cpp

commit 1c508ba
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    check for quvi_code, put into wrapper functions.

cclive/src/application.cpp

commit 9052b55
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-07

    add quvi_code to quvicpp::error.

lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp

commit cbce5cb
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    fix retry loops, stop retrying if succeeded.

cclive/src/application.cpp
cclive/src/get.cpp

commit 40b1363
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add Retry comment.

cclive/src/get.cpp

commit 01ad38c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    tweak cclive::wait output.

cclive/src/wait.cpp

commit 5a76cc6
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add --max-retries, --retry-wait to ChangeLog.

ChangeLog

commit 93ba2f5
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add --max-retries, --retry-wait to manual.

man1/cclive.1
man1/cclive.1.pod

commit 21f4b5b
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add --max-retries, --retry-wait.

cclive/include/cclive/file.h
cclive/src/application.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/options.cpp

commit 71ffcfb
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add wait.cpp to CMakeLists.txt file.

cclive/CMakeLists.txt

commit 94a07e4
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add cclive::wait.

cclive/include/cclive/wait.h
cclive/src/wait.cpp

commit f32c17e
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-06

    add response code to quvicpp.

lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp

commit c020ddd
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-04

    add print libquvi version to ChangeLog.

ChangeLog

commit 3e50728
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-04

    add libquvi to --version output.

cclive/src/application.cpp

commit 3348f58
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    bump version.

CMakeLists.txt

commit 24e31dc
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    set release date.

ChangeLog

commit 718cd04
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    print errors caught in main module to clog.

cclive/src/main.cpp

commit 937b068
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    merge in old description.

README

commit 48e56bc
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    fix wiki urls.

ChangeLog
NEWS

commit e6ee868
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    add submitting patches to README.

README

commit 4c1bcb3
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-09-01

    remove whitespace.

CMakeLists.txt

commit 4fb96a7
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-31

    add w32 condition to default config file path.

cclive/src/options.cpp

commit 1e257c5
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-31

    cleanup manual, add missing notes, fix version.

man1/cclive.1
man1/cclive.1.pod

commit b58e3ea
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    add 0.7.0b1 entry to ChangeLog file.

ChangeLog

commit 4b5f92c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    add summary to NEWS file.

NEWS

commit 1c9ffda
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    add missing system to boost prereq list.

CMakeLists.txt

commit 99919a8
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    add mingw32 toolchain file.

toolchains/mingw32.cmake

commit 1aac2a9
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    add b1 to version string.

CMakeLists.txt

commit 42a0cb7
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    rename manual page files.

man1/cclive.1
man1/cclive.1.pod
man1/gpull.1
man1/gpull.1.pod

commit d586128
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    bring in the new code and tree structure.

CMakeLists.txt
cclive/CMakeLists.txt
cclive/include/cclive/application.h
cclive/include/cclive/background.h
cclive/include/cclive/error.h
cclive/include/cclive/exec.h
cclive/include/cclive/file.h
cclive/include/cclive/get.h
cclive/include/cclive/log.h
cclive/include/cclive/options.h
cclive/include/cclive/progressbar.h
cclive/include/cclive/re.h
cclive/src/application.cpp
cclive/src/background.cpp
cclive/src/error.cpp
cclive/src/exec.cpp
cclive/src/file.cpp
cclive/src/get.cpp
cclive/src/license.cpp
cclive/src/log.cpp
cclive/src/main.cpp
cclive/src/options.cpp
cclive/src/progressbar.cpp
cclive/src/re.cpp
config.h.cmake.in
lib/CMakeLists.txt
lib/quvicpp/CMakeLists.txt
lib/quvicpp/include/quvicpp/quvicpp.h
lib/quvicpp/src/error.cpp
lib/quvicpp/src/link.cpp
lib/quvicpp/src/misc.cpp
lib/quvicpp/src/options.cpp
lib/quvicpp/src/query.cpp
lib/quvicpp/src/video.cpp
man1/CMakeLists.txt
man1/gpull.1
man1/gpull.1.pod
uninstall.cmake.in

commit fcdeb87
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove AUTHORS file, add info to README.

AUTHORS
README

commit 9d54af9
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove w32/ subdir.

w32/ChangeLog.w32.TXT
w32/README
w32/README.w32.TXT
w32/make-w32.sh

commit bced548
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove tests/ subdir.

tests/ccliveTest.pm.in
tests/multi-dl.pl
tests/multi-segment.pl
tests/nosupport-eval.pl
tests/pod-check.pl

commit 5be8dae
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove src/ subdir.

src/app.cpp
src/app.h
src/cmdline.cpp
src/cmdline.h
src/curl.cpp
src/curl.h
src/error.h
src/except.cpp
src/except.h
src/exec.cpp
src/exec.h
src/log.cpp
src/log.h
src/macros.h
src/main.cpp
src/opts.cpp
src/opts.h
src/progressbar.cpp
src/progressbar.h
src/quvi.cpp
src/quvi.h
src/retry.cpp
src/singleton.h
src/util.cpp
src/util.h

commit fc7e5e0
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    rewrite examples/config file.

examples/config

commit 678c83c
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove manual page and pod file.

cclive.1
cclive.pod

commit 9c2f9dd
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove gengetopt config file.

cmdline.ggo

commit cd42033
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove gnu autotools support.

Makefile.am
Makefile.in
aclocal.m4
config.aux/config.guess
config.aux/config.rpath
config.aux/config.sub
config.aux/depcomp
config.aux/install-sh
config.aux/missing
config.h.in
configure
configure.ac
m4/version.m4
src/Makefile.am
src/Makefile.in
tests/Makefile.am
tests/Makefile.in

commit 7f6b311
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    remove TODO.

TODO

commit 9dc16e2
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    rewrite README.

README

commit fe8d62a
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-30

    rewrite INSTALL.

INSTALL

commit 10ebbd9
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-13

    bump autoconf prereq.

ChangeLog
aclocal.m4
configure
configure.ac

commit 72d2521
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-13

    update w32 changes.

w32/ChangeLog.w32.TXT

commit e4fa8e3
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-12

    bump version.

configure
m4/version.m4

commit f96ba2e
Author: legatvs <legatvs.git@gmail.com>
Date:   2010-08-12

    set release date.

ChangeLog
